PETSc version 3.15.5
Fix/Edit manual page

# SNESPythonSetType

Initalize a SNES object implemented in Python.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESPythonSetType(SNES snes,const char pyname[])

Collective on SNES

### Input Parameter

| snes | - the nonlinear solver (SNES) context.
| pyname | - full dotted Python name [package].module[.{class|function}]

### Options Database Key

| -snes_python_type <pyname>

### See Also

SNESCreate(), SNESSetType(), SNESPYTHON, PetscPythonInitialize()

### Level

intermediate

### Location

src/snes/impls/python/pythonsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages